Bug 1441023 - Review Request: python-fontmake - Compile fonts from sources to binary
Summary: Review Request: python-fontmake - Compile fonts from sources to binary
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kalev Lember
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1433757 1435230 1440992
Blocks: 1258542 1430589
TreeView+ depends on / blocked
 
Reported: 2017-04-11 02:27 UTC by Athos Ribeiro
Modified: 2019-01-03 03:26 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-24 06:26:15 UTC


Attachments (Terms of Use)

Description Athos Ribeiro 2017-04-11 02:27:48 UTC
Spec URL: https://athoscr.fedorapeople.org/packaging/python-fontmake.spec
SRPM URL: https://athoscr.fedorapeople.org/packaging/python-fontmake-1.2.3-1.fc25.src.rpm

Description:
This library provides a wrapper for several other Python libraries which
together compile fonts from various sources (.glyphs, .ufo) into binaries
(.otf, .ttf).

Fedora Account System Username:athoscr

Comment 2 Shawn Starr 2017-08-14 13:29:59 UTC
I will review your packaging

Comment 3 Shawn Starr 2017-08-29 16:56:30 UTC
In order for me to review this, I'll have to build the other packages that depend on this and install locally in mock.

Comment 4 Shawn Starr 2017-08-29 18:11:25 UTC
This seems blocked from other dependencies. I will review when the other dependencies are resolved.

Comment 5 Shawn Starr 2017-09-12 16:47:15 UTC
More dependencies are being approved, still waiting

Comment 6 Athos Ribeiro 2017-09-16 02:08:56 UTC
Yes... In special, we have BZ#1440971, which requires an older ABI of a library we do have packaged in Fedora.

Comment 7 Shawn Starr 2018-02-20 15:10:56 UTC
python-booleanoperations is being reviewed, this will become unblocked and I will review latest .spec provided.

Comment 9 Shawn Starr 2018-02-21 17:15:53 UTC
Thanks, I'll take a look at this today from a mock rawhide environment.

Comment 10 Kalev Lember 2018-03-19 07:51:07 UTC
Taking for review.

Comment 11 Kalev Lember 2018-03-19 08:00:38 UTC
Packaging looks nice and clean, but I'm wondering about the naming here. Wouldn't it be cleaner to call the source package 'fontmake' as upstream calls it, and then have 3 binary packages: fontmake, python2-fontmake, python3-fontmake? Similar to how Debian is packaging it (it has very similar python naming standards as we do): https://packages.debian.org/source/sid/fontmake

Comment 12 Kalev Lember 2018-04-04 11:52:48 UTC
Ping?

Comment 13 Jamie Mansfield 2018-11-01 11:20:50 UTC
Naming the package 'fontmake' makes sense (and still satisfies the Python packaging guidelines - 1).

Though, given the impending deprecation of python2, should there really be a python2- package? The guidelines seem to suggest that python2 packages can only be introduced by special exemption (2), though perhaps that means for libraries/applications that exclusively run on python2.

[1]: https://fedoraproject.org/wiki/Packaging:Python?rd=Packaging/Python#Naming
[2]: https://fedoraproject.org/wiki/Packaging:Python?rd=Packaging/Python#Python_Version_Support

Comment 14 Parag AN(पराग) 2018-11-14 07:27:15 UTC
Adding Needinfo on Reporter. If there is no reply from the reporter in next seven days let's close this and create a fresh package request by someone.

If reporter comes back sometime later, we can add him as a co-maintainer if he needed.

Comment 15 Shawn Starr 2019-01-02 17:26:13 UTC
I'll retake this in a new bug with the existing packaging, if it's still around, the Hack font requires this and we want upstream support for this font in Fedora.

Comment 16 Parag AN(पराग) 2019-01-03 03:26:06 UTC
Actually I am working with someone and that someone was supposed to submit this as a fresh request but that did not happened. So it will be good if Shawn can open a new package review bug. Thanks Shawn. Do add here know the new bug number.


Note You need to log in before you can comment on or make changes to this bug.